summaryrefslogtreecommitdiff
path: root/config.status (plain)
blob: aede0bf68141ac4c44de7125d9abc9a3acdd9515
1#! /bin/bash
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/bash}
11## --------------------- ##
12## M4sh Initialization. ##
13## --------------------- ##
14
15# Be more Bourne compatible
16DUALCASE=1; export DUALCASE # for MKS sh
17if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 emulate sh
19 NULLCMD=:
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
23 setopt NO_GLOB_SUBST
24else
25 case `(set -o) 2>/dev/null` in
26 *posix*) set -o posix ;;
27esac
28
29fi
30
31
32
33
34# PATH needs CR
35# Avoid depending upon Character Ranges.
36as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39as_cr_digits='0123456789'
40as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42# The user is always right.
43if test "${PATH_SEPARATOR+set}" != set; then
44 echo "#! /bin/sh" >conf$$.sh
45 echo "exit 0" >>conf$$.sh
46 chmod +x conf$$.sh
47 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48 PATH_SEPARATOR=';'
49 else
50 PATH_SEPARATOR=:
51 fi
52 rm -f conf$$.sh
53fi
54
55# Support unset when possible.
56if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57 as_unset=unset
58else
59 as_unset=false
60fi
61
62
63# IFS
64# We need space, tab and new line, in precisely that order. Quoting is
65# there to prevent editors from complaining about space-tab.
66# (If _AS_PATH_WALK were called with IFS unset, it would disable word
67# splitting by setting IFS to empty value.)
68as_nl='
69'
70IFS=" "" $as_nl"
71
72# Find who we are. Look in the path if we contain no directory separator.
73case $0 in
74 *[\\/]* ) as_myself=$0 ;;
75 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76for as_dir in $PATH
77do
78 IFS=$as_save_IFS
79 test -z "$as_dir" && as_dir=.
80 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81done
82IFS=$as_save_IFS
83
84 ;;
85esac
86# We did not find ourselves, most probably we were run as `sh COMMAND'
87# in which case we are not to be found in the path.
88if test "x$as_myself" = x; then
89 as_myself=$0
90fi
91if test ! -f "$as_myself"; then
92 echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93 { (exit 1); exit 1; }
94fi
95
96# Work around bugs in pre-3.0 UWIN ksh.
97for as_var in ENV MAIL MAILPATH
98do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99done
100PS1='$ '
101PS2='> '
102PS4='+ '
103
104# NLS nuisances.
105for as_var in \
106 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108 LC_TELEPHONE LC_TIME
109do
110 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111 eval $as_var=C; export $as_var
112 else
113 ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114 fi
115done
116
117# Required to use basename.
118if expr a : '\(a\)' >/dev/null 2>&1 &&
119 test "X`expr 00001 : '.*\(...\)'`" = X001; then
120 as_expr=expr
121else
122 as_expr=false
123fi
124
125if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126 as_basename=basename
127else
128 as_basename=false
129fi
130
131
132# Name of the executable.
133as_me=`$as_basename -- "$0" ||
134$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135 X"$0" : 'X\(//\)$' \| \
136 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137echo X/"$0" |
138 sed '/^.*\/\([^/][^/]*\)\/*$/{
139 s//\1/
140 q
141 }
142 /^X\/\(\/\/\)$/{
143 s//\1/
144 q
145 }
146 /^X\/\(\/\).*/{
147 s//\1/
148 q
149 }
150 s/.*/./; q'`
151
152# CDPATH.
153$as_unset CDPATH
154
155
156
157 as_lineno_1=$LINENO
158 as_lineno_2=$LINENO
159 test "x$as_lineno_1" != "x$as_lineno_2" &&
160 test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
161
162 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163 # uniformly replaced by the line number. The first 'sed' inserts a
164 # line-number line after each line using $LINENO; the second 'sed'
165 # does the real work. The second script uses 'N' to pair each
166 # line-number line with the line containing $LINENO, and appends
167 # trailing '-' during substitution so that $LINENO is not a special
168 # case at line end.
169 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170 # scripts with optimization help from Paolo Bonzini. Blame Lee
171 # E. McMahon (1931-1989) for sed's syntax. :-)
172 sed -n '
173 p
174 /[$]LINENO/=
175 ' <$as_myself |
176 sed '
177 s/[$]LINENO.*/&-/
178 t lineno
179 b
180 :lineno
181 N
182 :loop
183 s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184 t loop
185 s/-\n.*//
186 ' >$as_me.lineno &&
187 chmod +x "$as_me.lineno" ||
188 { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189 { (exit 1); exit 1; }; }
190
191 # Don't try to exec as it changes $[0], causing all sort of problems
192 # (the dirname of $[0] is not the place where we might find the
193 # original and so on. Autoconf is especially sensitive to this).
194 . "./$as_me.lineno"
195 # Exit status is that of the last command.
196 exit
197}
198
199
200if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201 as_dirname=dirname
202else
203 as_dirname=false
204fi
205
206ECHO_C= ECHO_N= ECHO_T=
207case `echo -n x` in
208-n*)
209 case `echo 'x\c'` in
210 *c*) ECHO_T=' ';; # ECHO_T is single tab character.
211 *) ECHO_C='\c';;
212 esac;;
213*)
214 ECHO_N='-n';;
215esac
216
217if expr a : '\(a\)' >/dev/null 2>&1 &&
218 test "X`expr 00001 : '.*\(...\)'`" = X001; then
219 as_expr=expr
220else
221 as_expr=false
222fi
223
224rm -f conf$$ conf$$.exe conf$$.file
225if test -d conf$$.dir; then
226 rm -f conf$$.dir/conf$$.file
227else
228 rm -f conf$$.dir
229 mkdir conf$$.dir
230fi
231echo >conf$$.file
232if ln -s conf$$.file conf$$ 2>/dev/null; then
233 as_ln_s='ln -s'
234 # ... but there are two gotchas:
235 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237 # In both cases, we have to default to `cp -p'.
238 ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239 as_ln_s='cp -p'
240elif ln conf$$.file conf$$ 2>/dev/null; then
241 as_ln_s=ln
242else
243 as_ln_s='cp -p'
244fi
245rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246rmdir conf$$.dir 2>/dev/null
247
248if mkdir -p . 2>/dev/null; then
249 as_mkdir_p=:
250else
251 test -d ./-p && rmdir ./-p
252 as_mkdir_p=false
253fi
254
255if test -x / >/dev/null 2>&1; then
256 as_test_x='test -x'
257else
258 if ls -dL / >/dev/null 2>&1; then
259 as_ls_L_option=L
260 else
261 as_ls_L_option=
262 fi
263 as_test_x='
264 eval sh -c '\''
265 if test -d "$1"; then
266 test -d "$1/.";
267 else
268 case $1 in
269 -*)set "./$1";;
270 esac;
271 case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272 ???[sx]*):;;*)false;;esac;fi
273 '\'' sh
274 '
275fi
276as_executable_p=$as_test_x
277
278# Sed expression to map a string onto a valid CPP name.
279as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
280
281# Sed expression to map a string onto a valid variable name.
282as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
283
284
285exec 6>&1
286
287# Save the log message, to keep $[0] and so on meaningful, and to
288# report actual input values of CONFIG_FILES etc. instead of their
289# values after options handling.
290ac_log="
291This file was extended by ntfs-3g $as_me 2010.5.16, which was
292generated by GNU Autoconf 2.61. Invocation command line was
293
294 CONFIG_FILES = $CONFIG_FILES
295 CONFIG_HEADERS = $CONFIG_HEADERS
296 CONFIG_LINKS = $CONFIG_LINKS
297 CONFIG_COMMANDS = $CONFIG_COMMANDS
298 $ $0 $@
299
300on `(hostname || uname -n) 2>/dev/null | sed 1q`
301"
302
303# Files that config.status was made for.
304config_files=" Makefile include/Makefile include/fuse-lite/Makefile include/ntfs-3g/Makefile libfuse-lite/Makefile libntfs-3g/Makefile libntfs-3g/libntfs-3g.pc libntfs-3g/libntfs-3g.script.so src/Makefile src/ntfs-3g.8 src/ntfs-3g.probe.8 src/ntfs-3g.usermap.8 src/ntfs-3g.secaudit.8"
305config_headers=" config.h"
306config_commands=" depfiles"
307
308ac_cs_usage="\
309\`$as_me' instantiates files from templates according to the
310current configuration.
311
312Usage: $0 [OPTIONS] [FILE]...
313
314 -h, --help print this help, then exit
315 -V, --version print version number and configuration settings, then exit
316 -q, --quiet do not print progress messages
317 -d, --debug don't remove temporary files
318 --recheck update $as_me by reconfiguring in the same conditions
319 --file=FILE[:TEMPLATE]
320 instantiate the configuration file FILE
321 --header=FILE[:TEMPLATE]
322 instantiate the configuration header FILE
323
324Configuration files:
325$config_files
326
327Configuration headers:
328$config_headers
329
330Configuration commands:
331$config_commands
332
333Report bugs to <bug-autoconf@gnu.org>."
334
335ac_cs_version="\
336ntfs-3g config.status 2010.5.16
337configured by ./configure, generated by GNU Autoconf 2.61,
338 with options \"'CC=arc-linux-uclibc-gcc' '--prefix=/mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/bld_7266_h_64x2/./rootfs' '--host=arc-linux-uclibc' 'CFLAGS=-mA7 -g' '--enable-mount-helper=no' '--enable-ldconfig=no' 'exec_prefix=/mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/bld_7266_h_64x2/./rootfs' 'host_alias=arc-linux-uclibc'\"
339
340Copyright (C) 2006 Free Software Foundation, Inc.
341This config.status script is free software; the Free Software Foundation
342gives unlimited permission to copy, distribute and modify it."
343
344ac_pwd='/mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/build/packages/ntfs-3g-2010.5.16'
345srcdir='.'
346INSTALL='/usr/bin/install -c'
347MKDIR_P='/bin/mkdir -p'
348# If no file are specified by the user, then we need to provide default
349# value. By we need to know if files were specified by the user.
350ac_need_defaults=:
351while test $# != 0
352do
353 case $1 in
354 --*=*)
355 ac_option=`expr "X$1" : 'X\([^=]*\)='`
356 ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
357 ac_shift=:
358 ;;
359 *)
360 ac_option=$1
361 ac_optarg=$2
362 ac_shift=shift
363 ;;
364 esac
365
366 case $ac_option in
367 # Handling of the options.
368 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
369 ac_cs_recheck=: ;;
370 --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
371 echo "$ac_cs_version"; exit ;;
372 --debug | --debu | --deb | --de | --d | -d )
373 debug=: ;;
374 --file | --fil | --fi | --f )
375 $ac_shift
376 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
377 ac_need_defaults=false;;
378 --header | --heade | --head | --hea )
379 $ac_shift
380 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
381 ac_need_defaults=false;;
382 --he | --h)
383 # Conflict between --help and --header
384 { echo "$as_me: error: ambiguous option: $1
385Try \`$0 --help' for more information." >&2
386 { (exit 1); exit 1; }; };;
387 --help | --hel | -h )
388 echo "$ac_cs_usage"; exit ;;
389 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
390 | -silent | --silent | --silen | --sile | --sil | --si | --s)
391 ac_cs_silent=: ;;
392
393 # This is an error.
394 -*) { echo "$as_me: error: unrecognized option: $1
395Try \`$0 --help' for more information." >&2
396 { (exit 1); exit 1; }; } ;;
397
398 *) ac_config_targets="$ac_config_targets $1"
399 ac_need_defaults=false ;;
400
401 esac
402 shift
403done
404
405ac_configure_extra_args=
406
407if $ac_cs_silent; then
408 exec 6>/dev/null
409 ac_configure_extra_args="$ac_configure_extra_args --silent"
410fi
411
412if $ac_cs_recheck; then
413 echo "running CONFIG_SHELL=/bin/bash /bin/bash ./configure " 'CC=arc-linux-uclibc-gcc' '--prefix=/mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/bld_7266_h_64x2/./rootfs' '--host=arc-linux-uclibc' 'CFLAGS=-mA7 -g' '--enable-mount-helper=no' '--enable-ldconfig=no' 'exec_prefix=/mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/bld_7266_h_64x2/./rootfs' 'host_alias=arc-linux-uclibc' $ac_configure_extra_args " --no-create --no-recursion" >&6
414 CONFIG_SHELL=/bin/bash
415 export CONFIG_SHELL
416 exec /bin/bash "./configure" 'CC=arc-linux-uclibc-gcc' '--prefix=/mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/bld_7266_h_64x2/./rootfs' '--host=arc-linux-uclibc' 'CFLAGS=-mA7 -g' '--enable-mount-helper=no' '--enable-ldconfig=no' 'exec_prefix=/mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/bld_7266_h_64x2/./rootfs' 'host_alias=arc-linux-uclibc' $ac_configure_extra_args --no-create --no-recursion
417fi
418
419exec 5>>config.log
420{
421 echo
422 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
423## Running $as_me. ##
424_ASBOX
425 echo "$ac_log"
426} >&5
427
428#
429# INIT-COMMANDS
430#
431AMDEP_TRUE="" ac_aux_dir="."
432
433
434# Handling of arguments.
435for ac_config_target in $ac_config_targets
436do
437 case $ac_config_target in
438 "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
439 "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
440 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
441 "include/Makefile") CONFIG_FILES="$CONFIG_FILES include/Makefile" ;;
442 "include/fuse-lite/Makefile") CONFIG_FILES="$CONFIG_FILES include/fuse-lite/Makefile" ;;
443 "include/ntfs-3g/Makefile") CONFIG_FILES="$CONFIG_FILES include/ntfs-3g/Makefile" ;;
444 "libfuse-lite/Makefile") CONFIG_FILES="$CONFIG_FILES libfuse-lite/Makefile" ;;
445 "libntfs-3g/Makefile") CONFIG_FILES="$CONFIG_FILES libntfs-3g/Makefile" ;;
446 "libntfs-3g/libntfs-3g.pc") CONFIG_FILES="$CONFIG_FILES libntfs-3g/libntfs-3g.pc" ;;
447 "libntfs-3g/libntfs-3g.script.so") CONFIG_FILES="$CONFIG_FILES libntfs-3g/libntfs-3g.script.so" ;;
448 "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
449 "src/ntfs-3g.8") CONFIG_FILES="$CONFIG_FILES src/ntfs-3g.8" ;;
450 "src/ntfs-3g.probe.8") CONFIG_FILES="$CONFIG_FILES src/ntfs-3g.probe.8" ;;
451 "src/ntfs-3g.usermap.8") CONFIG_FILES="$CONFIG_FILES src/ntfs-3g.usermap.8" ;;
452 "src/ntfs-3g.secaudit.8") CONFIG_FILES="$CONFIG_FILES src/ntfs-3g.secaudit.8" ;;
453
454 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
455echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
456 { (exit 1); exit 1; }; };;
457 esac
458done
459
460
461# If the user did not use the arguments to specify the items to instantiate,
462# then the envvar interface is used. Set only those that are not.
463# We use the long form for the default assignment because of an extremely
464# bizarre bug on SunOS 4.1.3.
465if $ac_need_defaults; then
466 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
467 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
468 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
469fi
470
471# Have a temporary directory for convenience. Make it in the build tree
472# simply because there is no reason against having it here, and in addition,
473# creating and moving files from /tmp can sometimes cause problems.
474# Hook for its removal unless debugging.
475# Note that there is a small window in which the directory will not be cleaned:
476# after its creation but before its name has been assigned to `$tmp'.
477$debug ||
478{
479 tmp=
480 trap 'exit_status=$?
481 { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
482' 0
483 trap '{ (exit 1); exit 1; }' 1 2 13 15
484}
485# Create a (secure) tmp directory for tmp files.
486
487{
488 tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
489 test -n "$tmp" && test -d "$tmp"
490} ||
491{
492 tmp=./conf$$-$RANDOM
493 (umask 077 && mkdir "$tmp")
494} ||
495{
496 echo "$me: cannot create a temporary directory in ." >&2
497 { (exit 1); exit 1; }
498}
499
500#
501# Set up the sed scripts for CONFIG_FILES section.
502#
503
504# No need to generate the scripts if there are no CONFIG_FILES.
505# This happens for instance when ./config.status config.h
506if test -n "$CONFIG_FILES"; then
507
508cat >"$tmp/subs-1.sed" <<\CEOF
509/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
510s,@SHELL@,|#_!!_#|/bin/bash,g
511s,@PATH_SEPARATOR@,|#_!!_#|:,g
512s,@PACKAGE_NAME@,|#_!!_#|ntfs-3g,g
513s,@PACKAGE_TARNAME@,|#_!!_#|ntfs-3g,g
514s,@PACKAGE_VERSION@,|#_!!_#|2010.5.16,g
515s,@PACKAGE_STRING@,|#_!!_#|ntfs-3g 2010.5.16,g
516s,@PACKAGE_BUGREPORT@,|#_!!_#|ntfs-3g-devel@|#_!!_#|lists.sf.net,g
517s,@exec_prefix@,|#_!!_#|/mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/bld_7266_h_64x2/./rootfs,g
518s,@prefix@,|#_!!_#|/mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/bld_7266_h_64x2/./rootfs,g
519s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
520s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
521s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
522s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
523s,@datarootdir@,|#_!!_#|${prefix}/share,g
524s,@datadir@,|#_!!_#|${datarootdir},g
525s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
526s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
527s,@localstatedir@,|#_!!_#|${prefix}/var,g
528s,@includedir@,|#_!!_#|${prefix}/include,g
529s,@oldincludedir@,|#_!!_#|/usr/include,g
530s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
531s,@infodir@,|#_!!_#|${datarootdir}/info,g
532s,@htmldir@,|#_!!_#|${docdir},g
533s,@dvidir@,|#_!!_#|${docdir},g
534s,@pdfdir@,|#_!!_#|${docdir},g
535s,@psdir@,|#_!!_#|${docdir},g
536s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
537s,@localedir@,|#_!!_#|${datarootdir}/locale,g
538s,@mandir@,|#_!!_#|${datarootdir}/man,g
539s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
540s,@ECHO_C@,|#_!!_#|,g
541s,@ECHO_N@,|#_!!_#|-n,g
542s,@ECHO_T@,|#_!!_#|,g
543s,@LIBS@,|#_!!_#|,g
544s,@build_alias@,|#_!!_#|,g
545s,@host_alias@,|#_!!_#|arc-linux-uclibc,g
546s,@target_alias@,|#_!!_#|,g
547s,@build@,|#_!!_#|i686-pc-linux-gnu,g
548s,@build_cpu@,|#_!!_#|i686,g
549s,@build_vendor@,|#_!!_#|pc,g
550s,@build_os@,|#_!!_#|linux-gnu,g
551s,@host@,|#_!!_#|arc-unknown-linux-uclibc,g
552s,@host_cpu@,|#_!!_#|arc,g
553s,@host_vendor@,|#_!!_#|unknown,g
554s,@host_os@,|#_!!_#|linux-uclibc,g
555s,@target@,|#_!!_#|arc-unknown-linux-uclibc,g
556s,@target_cpu@,|#_!!_#|arc,g
557s,@target_vendor@,|#_!!_#|unknown,g
558s,@target_os@,|#_!!_#|linux-uclibc,g
559s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
560s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
561s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
562s,@am__isrc@,|#_!!_#|,g
563s,@CYGPATH_W@,|#_!!_#|echo,g
564s,@PACKAGE@,|#_!!_#|ntfs-3g,g
565s,@VERSION@,|#_!!_#|2010.5.16,g
566s,@ACLOCAL@,|#_!!_#|${SHELL} /mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/build/packages/ntfs-3g-2010.5.16/missing --run aclocal-1.10,g
567s,@AUTOCONF@,|#_!!_#|${SHELL} /mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/build/packages/ntfs-3g-2010.5.16/missing --run autoconf,g
568s,@AUTOMAKE@,|#_!!_#|${SHELL} /mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/build/packages/ntfs-3g-2010.5.16/missing --run automake-1.10,g
569s,@AUTOHEADER@,|#_!!_#|${SHELL} /mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/build/packages/ntfs-3g-2010.5.16/missing --run autoheader,g
570s,@MAKEINFO@,|#_!!_#|${SHELL} /mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/build/packages/ntfs-3g-2010.5.16/missing --run makeinfo,g
571s,@install_sh@,|#_!!_#|$(SHELL) /mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/build/packages/ntfs-3g-2010.5.16/install-sh,g
572s,@STRIP@,|#_!!_#|arc-linux-uclibc-strip,g
573s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|$(install_sh) -c -s,g
574s,@mkdir_p@,|#_!!_#|/bin/mkdir -p,g
575s,@AWK@,|#_!!_#|mawk,g
576s,@SET_MAKE@,|#_!!_#|,g
577s,@am__leading_dot@,|#_!!_#|.,g
578s,@AMTAR@,|#_!!_#|${SHELL} /mnt/fileroot/michael.wang/linux-top-pub/ui_ref/trunk/build/packages/ntfs-3g-2010.5.16/missing --run tar,g
579s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
580s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
581s,@MAINTAINER_MODE_TRUE@,|#_!!_#|#,g
582s,@MAINTAINER_MODE_FALSE@,|#_!!_#|,g
583s,@MAINT@,|#_!!_#|#,g
584s,@CC@,|#_!!_#|arc-linux-uclibc-gcc,g
585s,@CFLAGS@,|#_!!_#|-mA7 -g -Wall,g
586s,@LDFLAGS@,|#_!!_#|,g
587s,@CPPFLAGS@,|#_!!_#|,g
588s,@ac_ct_CC@,|#_!!_#|,g
589s,@EXEEXT@,|#_!!_#|,g
590s,@OBJEXT@,|#_!!_#|o,g
591s,@DEPDIR@,|#_!!_#|.deps,g
592s,@am__include@,|#_!!_#|include,g
593s,@am__quote@,|#_!!_#|,g
594s,@AMDEP_TRUE@,|#_!!_#|,g
595s,@AMDEP_FALSE@,|#_!!_#|#,g
596s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
597s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
598s,@am__fastdepCC_TRUE@,|#_!!_#|,g
599s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
600s,@LN_S@,|#_!!_#|ln -s,g
601s,@SED@,|#_!!_#|/bin/sed,g
602s,@GREP@,|#_!!_#|/bin/grep,g
603s,@EGREP@,|#_!!_#|/bin/grep -E,g
604s,@ECHO@,|#_!!_#|echo,g
605s,@AR@,|#_!!_#|arc-linux-uclibc-ar,g
606s,@RANLIB@,|#_!!_#|arc-linux-uclibc-ranlib,g
607CEOF
608cat >"$tmp/subs-2.sed" <<\CEOF
609/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
610s,@DSYMUTIL@,|#_!!_#|,g
611s,@NMEDIT@,|#_!!_#|,g
612s,@CPP@,|#_!!_#|arc-linux-uclibc-gcc -E,g
613s,@CXX@,|#_!!_#|arc-linux-uclibc-g++,g
614s,@CXXFLAGS@,|#_!!_#|-g -O2,g
615s,@ac_ct_CXX@,|#_!!_#|,g
616s,@CXXDEPMODE@,|#_!!_#|depmode=gcc3,g
617s,@am__fastdepCXX_TRUE@,|#_!!_#|,g
618s,@am__fastdepCXX_FALSE@,|#_!!_#|#,g
619s,@CXXCPP@,|#_!!_#|arc-linux-uclibc-g++ -E,g
620s,@F77@,|#_!!_#|,g
621s,@FFLAGS@,|#_!!_#|,g
622s,@ac_ct_F77@,|#_!!_#|,g
623s,@LIBTOOL@,|#_!!_#|$(SHELL) $(top_builddir)/libtool,g
624s,@MV@,|#_!!_#|/bin/mv,g
625s,@RM@,|#_!!_#|/bin/rm,g
626s,@LDCONFIG@,|#_!!_#|/sbin/ldconfig,g
627s,@PKG_CONFIG@,|#_!!_#|,g
628s,@FUSE_MODULE_CFLAGS@,|#_!!_#|,g
629s,@FUSE_MODULE_LIBS@,|#_!!_#|,g
630s,@LIBOBJS@,|#_!!_#| ${LIBOBJDIR}memcmp$U.o ${LIBOBJDIR}lstat$U.o ${LIBOBJDIR}stat$U.o,g
631s,@pkgconfigdir@,|#_!!_#|$(libdir)/pkgconfig,g
632s,@ntfs3gincludedir@,|#_!!_#|$(includedir)/ntfs-3g,g
633s,@rootbindir@,|#_!!_#|$(bindir),g
634s,@rootsbindir@,|#_!!_#|$(sbindir),g
635s,@rootlibdir@,|#_!!_#|$(libdir),g
636s,@LIBNTFS_3G_VERSION@,|#_!!_#|76,g
637s,@LIBFUSE_LITE_LIBS@,|#_!!_#| -lpthread,g
638s,@OUTPUT_FORMAT@,|#_!!_#|,g
639s,@FUSE_INTERNAL_TRUE@,|#_!!_#|,g
640s,@FUSE_INTERNAL_FALSE@,|#_!!_#|#,g
641s,@GENERATE_LDSCRIPT_TRUE@,|#_!!_#|#,g
642s,@GENERATE_LDSCRIPT_FALSE@,|#_!!_#|,g
643s,@WINDOWS_TRUE@,|#_!!_#|#,g
644s,@WINDOWS_FALSE@,|#_!!_#|,g
645s,@NTFS_DEVICE_DEFAULT_IO_OPS_TRUE@,|#_!!_#|,g
646s,@NTFS_DEVICE_DEFAULT_IO_OPS_FALSE@,|#_!!_#|#,g
647s,@RUN_LDCONFIG_TRUE@,|#_!!_#|#,g
648s,@RUN_LDCONFIG_FALSE@,|#_!!_#|,g
649s,@REALLYSTATIC_TRUE@,|#_!!_#|#,g
650s,@REALLYSTATIC_FALSE@,|#_!!_#|,g
651s,@INSTALL_LIBRARY_TRUE@,|#_!!_#|,g
652s,@INSTALL_LIBRARY_FALSE@,|#_!!_#|#,g
653s,@ENABLE_MOUNT_HELPER_TRUE@,|#_!!_#|#,g
654s,@ENABLE_MOUNT_HELPER_FALSE@,|#_!!_#|,g
655s,@MKDIR_P@,|#_!!_#|/bin/mkdir -p,g
656s,@LTLIBOBJS@,|#_!!_#| ${LIBOBJDIR}memcmp$U.lo ${LIBOBJDIR}lstat$U.lo ${LIBOBJDIR}stat$U.lo,g
657:end
658s/|#_!!_#|//g
659CEOF
660fi # test -n "$CONFIG_FILES"
661
662
663for ac_tag in :F $CONFIG_FILES :H $CONFIG_HEADERS :C $CONFIG_COMMANDS
664do
665 case $ac_tag in
666 :[FHLC]) ac_mode=$ac_tag; continue;;
667 esac
668 case $ac_mode$ac_tag in
669 :[FHL]*:*);;
670 :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
671echo "$as_me: error: Invalid tag $ac_tag." >&2;}
672 { (exit 1); exit 1; }; };;
673 :[FH]-) ac_tag=-:-;;
674 :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
675 esac
676 ac_save_IFS=$IFS
677 IFS=:
678 set x $ac_tag
679 IFS=$ac_save_IFS
680 shift
681 ac_file=$1
682 shift
683
684 case $ac_mode in
685 :L) ac_source=$1;;
686 :[FH])
687 ac_file_inputs=
688 for ac_f
689 do
690 case $ac_f in
691 -) ac_f="$tmp/stdin";;
692 *) # Look for the file first in the build tree, then in the source tree
693 # (if the path is not absolute). The absolute path cannot be DOS-style,
694 # because $ac_f cannot contain `:'.
695 test -f "$ac_f" ||
696 case $ac_f in
697 [\\/$]*) false;;
698 *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
699 esac ||
700 { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
701echo "$as_me: error: cannot find input file: $ac_f" >&2;}
702 { (exit 1); exit 1; }; };;
703 esac
704 ac_file_inputs="$ac_file_inputs $ac_f"
705 done
706
707 # Let's still pretend it is `configure' which instantiates (i.e., don't
708 # use $as_me), people would be surprised to read:
709 # /* config.h. Generated by config.status. */
710 configure_input="Generated from "`IFS=:
711 echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
712 if test x"$ac_file" != x-; then
713 configure_input="$ac_file. $configure_input"
714 { echo "$as_me:$LINENO: creating $ac_file" >&5
715echo "$as_me: creating $ac_file" >&6;}
716 fi
717
718 case $ac_tag in
719 *:-:* | *:-) cat >"$tmp/stdin";;
720 esac
721 ;;
722 esac
723
724 ac_dir=`$as_dirname -- "$ac_file" ||
725$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
726 X"$ac_file" : 'X\(//\)[^/]' \| \
727 X"$ac_file" : 'X\(//\)$' \| \
728 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
729echo X"$ac_file" |
730 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
731 s//\1/
732 q
733 }
734 /^X\(\/\/\)[^/].*/{
735 s//\1/
736 q
737 }
738 /^X\(\/\/\)$/{
739 s//\1/
740 q
741 }
742 /^X\(\/\).*/{
743 s//\1/
744 q
745 }
746 s/.*/./; q'`
747 { as_dir="$ac_dir"
748 case $as_dir in #(
749 -*) as_dir=./$as_dir;;
750 esac
751 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
752 as_dirs=
753 while :; do
754 case $as_dir in #(
755 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
756 *) as_qdir=$as_dir;;
757 esac
758 as_dirs="'$as_qdir' $as_dirs"
759 as_dir=`$as_dirname -- "$as_dir" ||
760$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
761 X"$as_dir" : 'X\(//\)[^/]' \| \
762 X"$as_dir" : 'X\(//\)$' \| \
763 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
764echo X"$as_dir" |
765 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
766 s//\1/
767 q
768 }
769 /^X\(\/\/\)[^/].*/{
770 s//\1/
771 q
772 }
773 /^X\(\/\/\)$/{
774 s//\1/
775 q
776 }
777 /^X\(\/\).*/{
778 s//\1/
779 q
780 }
781 s/.*/./; q'`
782 test -d "$as_dir" && break
783 done
784 test -z "$as_dirs" || eval "mkdir $as_dirs"
785 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
786echo "$as_me: error: cannot create directory $as_dir" >&2;}
787 { (exit 1); exit 1; }; }; }
788 ac_builddir=.
789
790case "$ac_dir" in
791.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
792*)
793 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
794 # A ".." for each directory in $ac_dir_suffix.
795 ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
796 case $ac_top_builddir_sub in
797 "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
798 *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
799 esac ;;
800esac
801ac_abs_top_builddir=$ac_pwd
802ac_abs_builddir=$ac_pwd$ac_dir_suffix
803# for backward compatibility:
804ac_top_builddir=$ac_top_build_prefix
805
806case $srcdir in
807 .) # We are building in place.
808 ac_srcdir=.
809 ac_top_srcdir=$ac_top_builddir_sub
810 ac_abs_top_srcdir=$ac_pwd ;;
811 [\\/]* | ?:[\\/]* ) # Absolute name.
812 ac_srcdir=$srcdir$ac_dir_suffix;
813 ac_top_srcdir=$srcdir
814 ac_abs_top_srcdir=$srcdir ;;
815 *) # Relative name.
816 ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
817 ac_top_srcdir=$ac_top_build_prefix$srcdir
818 ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
819esac
820ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
821
822
823 case $ac_mode in
824 :F)
825 #
826 # CONFIG_FILE
827 #
828
829 case $INSTALL in
830 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
831 *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
832 esac
833 ac_MKDIR_P=$MKDIR_P
834 case $MKDIR_P in
835 [\\/$]* | ?:[\\/]* ) ;;
836 */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
837 esac
838# If the template does not know about datarootdir, expand it.
839# FIXME: This hack should be removed a few years after 2.60.
840ac_datarootdir_hack=; ac_datarootdir_seen=
841
842case `sed -n '/datarootdir/ {
843 p
844 q
845}
846/@datadir@/p
847/@docdir@/p
848/@infodir@/p
849/@localedir@/p
850/@mandir@/p
851' $ac_file_inputs` in
852*datarootdir*) ac_datarootdir_seen=yes;;
853*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
854 { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
855echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
856 ac_datarootdir_hack='
857 s&@datadir@&${datarootdir}&g
858 s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
859 s&@infodir@&${datarootdir}/info&g
860 s&@localedir@&${datarootdir}/locale&g
861 s&@mandir@&${datarootdir}/man&g
862 s&\${datarootdir}&${prefix}/share&g' ;;
863esac
864 sed "/^[ ]*VPATH[ ]*=/{
865s/:*\$(srcdir):*/:/
866s/:*\${srcdir}:*/:/
867s/:*@srcdir@:*/:/
868s/^\([^=]*=[ ]*\):*/\1/
869s/:*$//
870s/^[^=]*=[ ]*$//
871}
872
873:t
874/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
875s&@configure_input@&$configure_input&;t t
876s&@top_builddir@&$ac_top_builddir_sub&;t t
877s&@srcdir@&$ac_srcdir&;t t
878s&@abs_srcdir@&$ac_abs_srcdir&;t t
879s&@top_srcdir@&$ac_top_srcdir&;t t
880s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
881s&@builddir@&$ac_builddir&;t t
882s&@abs_builddir@&$ac_abs_builddir&;t t
883s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
884s&@INSTALL@&$ac_INSTALL&;t t
885s&@MKDIR_P@&$ac_MKDIR_P&;t t
886$ac_datarootdir_hack
887" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
888
889test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
890 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
891 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
892 { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
893which seems to be undefined. Please make sure it is defined." >&5
894echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
895which seems to be undefined. Please make sure it is defined." >&2;}
896
897 rm -f "$tmp/stdin"
898 case $ac_file in
899 -) cat "$tmp/out"; rm -f "$tmp/out";;
900 *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
901 esac
902 ;;
903 :H)
904 #
905 # CONFIG_HEADER
906 #
907 # First, check the format of the line:
908 cat >"$tmp/defines.sed" <<\CEOF
909/^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
910/^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
911b
912:def
913s/$/ /
914s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_NAME\)[ (].*,\1define\2 "ntfs-3g" ,
915s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_TARNAME\)[ (].*,\1define\2 "ntfs-3g" ,
916s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_VERSION\)[ (].*,\1define\2 "2010.5.16" ,
917s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_STRING\)[ (].*,\1define\2 "ntfs-3g 2010.5.16" ,
918s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_BUGREPORT\)[ (].*,\1define\2 "ntfs-3g-devel@lists.sf.net" ,
919s,^\([ #]*\)[^ ]*\([ ]*PACKAGE\)[ (].*,\1define\2 "ntfs-3g" ,
920s,^\([ #]*\)[^ ]*\([ ]*VERSION\)[ (].*,\1define\2 "2010.5.16" ,
921s,^\([ #]*\)[^ ]*\([ ]*_GNU_SOURCE\)[ (].*,\1define\2 1 ,
922s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
923s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
924s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
925s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
926s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
927s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMORY_H\)[ (].*,\1define\2 1 ,
928s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
929s,^\([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_H\)[ (].*,\1define\2 1 ,
930s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
931s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
932s,^\([ #]*\)[^ ]*\([ ]*HAVE_DLFCN_H\)[ (].*,\1define\2 1 ,
933s,^\([ #]*\)[^ ]*\([ ]*_REENTRANT\)[ (].*,\1define\2 1 ,
934s,^\([ #]*\)[^ ]*\([ ]*FUSE_INTERNAL\)[ (].*,\1define\2 1 ,
935s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
936s,^\([ #]*\)[^ ]*\([ ]*HAVE_CTYPE_H\)[ (].*,\1define\2 1 ,
937s,^\([ #]*\)[^ ]*\([ ]*HAVE_FCNTL_H\)[ (].*,\1define\2 1 ,
938s,^\([ #]*\)[^ ]*\([ ]*HAVE_LIBGEN_H\)[ (].*,\1define\2 1 ,
939s,^\([ #]*\)[^ ]*\([ ]*HAVE_LIMITS_H\)[ (].*,\1define\2 1 ,
940s,^\([ #]*\)[^ ]*\([ ]*HAVE_LOCALE_H\)[ (].*,\1define\2 1 ,
941s,^\([ #]*\)[^ ]*\([ ]*HAVE_MNTENT_H\)[ (].*,\1define\2 1 ,
942s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDDEF_H\)[ (].*,\1define\2 1 ,
943s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
944s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
945s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDIO_H\)[ (].*,\1define\2 1 ,
946s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDARG_H\)[ (].*,\1define\2 1 ,
947s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
948s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
949s,^\([ #]*\)[^ ]*\([ ]*HAVE_ERRNO_H\)[ (].*,\1define\2 1 ,
950s,^\([ #]*\)[^ ]*\([ ]*HAVE_TIME_H\)[ (].*,\1define\2 1 ,
951s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
952s,^\([ #]*\)[^ ]*\([ ]*HAVE_UTIME_H\)[ (].*,\1define\2 1 ,
953s,^\([ #]*\)[^ ]*\([ ]*HAVE_WCHAR_H\)[ (].*,\1define\2 1 ,
954s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETOPT_H\)[ (].*,\1define\2 1 ,
955s,^\([ #]*\)[^ ]*\([ ]*HAVE_FEATURES_H\)[ (].*,\1define\2 1 ,
956s,^\([ #]*\)[^ ]*\([ ]*HAVE_ENDIAN_H\)[ (].*,\1define\2 1 ,
957s,^\([ #]*\)[^ ]*\([ ]*HAVE_BYTESWAP_H\)[ (].*,\1define\2 1 ,
958s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_PARAM_H\)[ (].*,\1define\2 1 ,
959s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_IOCTL_H\)[ (].*,\1define\2 1 ,
960s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_MOUNT_H\)[ (].*,\1define\2 1 ,
961s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
962s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
963CEOF
964 sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
965 # First, check the format of the line:
966 cat >"$tmp/defines.sed" <<\CEOF
967/^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
968/^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
969b
970:def
971s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_VFS_H\)[ (].*,\1define\2 1 ,
972s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STATVFS_H\)[ (].*,\1define\2 1 ,
973s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_SYSMACROS_H\)[ (].*,\1define\2 1 ,
974s,^\([ #]*\)[^ ]*\([ ]*HAVE_LINUX_MAJOR_H\)[ (].*,\1define\2 1 ,
975s,^\([ #]*\)[^ ]*\([ ]*HAVE_LINUX_FD_H\)[ (].*,\1define\2 1 ,
976s,^\([ #]*\)[^ ]*\([ ]*HAVE_LINUX_HDREG_H\)[ (].*,\1define\2 1 ,
977s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYSLOG_H\)[ (].*,\1define\2 1 ,
978s,^\([ #]*\)[^ ]*\([ ]*HAVE__BOOL\)[ (].*,\1define\2 1 ,
979s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDBOOL_H\)[ (].*,\1define\2 1 ,
980s,^\([ #]*\)[^ ]*\([ ]*WORDS_LITTLEENDIAN\)[ (].*,\1define\2 1 ,
981s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRUCT_STAT_ST_BLOCKS\)[ (].*,\1define\2 1 ,
982s,^\([ #]*\)[^ ]*\([ ]*HAVE_ST_BLOCKS\)[ (].*,\1define\2 1 ,
983s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRUCT_STAT_ST_RDEV\)[ (].*,\1define\2 1 ,
984s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRUCT_STAT_ST_ATIMENSEC\)[ (].*,\1define\2 1 ,
985s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETMNTENT\)[ (].*,\1define\2 ,
986s,^\([ #]*\)[^ ]*\([ ]*HAVE_MBRTOWC\)[ (].*,\1define\2 1 ,
987s,^\([ #]*\)[^ ]*\([ ]*HAVE_STAT_EMPTY_STRING_BUG\)[ (].*,\1define\2 1 ,
988s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRFTIME\)[ (].*,\1define\2 1 ,
989s,^\([ #]*\)[^ ]*\([ ]*HAVE_UTIME_H\)[ (].*,\1define\2 1 ,
990s,^\([ #]*\)[^ ]*\([ ]*HAVE_VPRINTF\)[ (].*,\1define\2 1 ,
991s,^\([ #]*\)[^ ]*\([ ]*HAVE_ATEXIT\)[ (].*,\1define\2 1 ,
992s,^\([ #]*\)[^ ]*\([ ]*HAVE_BASENAME\)[ (].*,\1define\2 1 ,
993s,^\([ #]*\)[^ ]*\([ ]*HAVE_DAEMON\)[ (].*,\1define\2 1 ,
994s,^\([ #]*\)[^ ]*\([ ]*HAVE_DUP2\)[ (].*,\1define\2 1 ,
995s,^\([ #]*\)[^ ]*\([ ]*HAVE_FDATASYNC\)[ (].*,\1define\2 1 ,
996s,^\([ #]*\)[^ ]*\([ ]*HAVE_FFS\)[ (].*,\1define\2 1 ,
997s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETOPT_LONG\)[ (].*,\1define\2 1 ,
998s,^\([ #]*\)[^ ]*\([ ]*HAVE_HASMNTOPT\)[ (].*,\1define\2 1 ,
999s,^\([ #]*\)[^ ]*\([ ]*HAVE_MBSINIT\)[ (].*,\1define\2 1 ,
1000s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMMOVE\)[ (].*,\1define\2 1 ,
1001s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMSET\)[ (].*,\1define\2 1 ,
1002s,^\([ #]*\)[^ ]*\([ ]*HAVE_REALPATH\)[ (].*,\1define\2 1 ,
1003s,^\([ #]*\)[^ ]*\([ ]*HAVE_REGCOMP\)[ (].*,\1define\2 1 ,
1004s,^\([ #]*\)[^ ]*\([ ]*HAVE_SETLOCALE\)[ (].*,\1define\2 1 ,
1005s,^\([ #]*\)[^ ]*\([ ]*HAVE_SETXATTR\)[ (].*,\1define\2 1 ,
1006s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRCASECMP\)[ (].*,\1define\2 1 ,
1007s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRCHR\)[ (].*,\1define\2 1 ,
1008s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRDUP\)[ (].*,\1define\2 1 ,
1009s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRERROR\)[ (].*,\1define\2 1 ,
1010s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRNLEN\)[ (].*,\1define\2 1 ,
1011s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRSEP\)[ (].*,\1define\2 1 ,
1012s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRTOL\)[ (].*,\1define\2 1 ,
1013s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRTOUL\)[ (].*,\1define\2 1 ,
1014s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYSCONF\)[ (].*,\1define\2 1 ,
1015s,^\([ #]*\)[^ ]*\([ ]*HAVE_UTIME\)[ (].*,\1define\2 1 ,
1016s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETTIMEOFDAY\)[ (].*,\1define\2 1 ,
1017s,^\([ #]*\)[^ ]*\([ ]*HAVE_CLOCK_GETTIME\)[ (].*,\1define\2 1 ,
1018s,^\([ #]*\)[^ ]*\([ ]*HAVE_FORK\)[ (].*,\1define\2 1 ,
1019s,^\([ #]*\)[^ ]*\([ ]*_FILE_OFFSET_BITS\)[ (].*,\1define\2 64 ,
1020s/ $//
1021CEOF
1022 sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
1023 # First, check the format of the line:
1024 cat >"$tmp/defines.sed" <<\CEOF
1025/^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
1026/^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
1027b
1028:def
1029s,^[ #]*u.*,/* & */,
1030CEOF
1031 sed -f "$tmp/defines.sed" "$tmp/out2" >"$tmp/out1"
1032ac_result="$tmp/out1"
1033 if test x"$ac_file" != x-; then
1034 echo "/* $configure_input */" >"$tmp/config.h"
1035 cat "$ac_result" >>"$tmp/config.h"
1036 if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
1037 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1038echo "$as_me: $ac_file is unchanged" >&6;}
1039 else
1040 rm -f $ac_file
1041 mv "$tmp/config.h" $ac_file
1042 fi
1043 else
1044 echo "/* $configure_input */"
1045 cat "$ac_result"
1046 fi
1047 rm -f "$tmp/out12"
1048# Compute $ac_file's index in $config_headers.
1049_am_arg=$ac_file
1050_am_stamp_count=1
1051for _am_header in $config_headers :; do
1052 case $_am_header in
1053 $_am_arg | $_am_arg:* )
1054 break ;;
1055 * )
1056 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1057 esac
1058done
1059echo "timestamp for $_am_arg" >`$as_dirname -- "$_am_arg" ||
1060$as_expr X"$_am_arg" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1061 X"$_am_arg" : 'X\(//\)[^/]' \| \
1062 X"$_am_arg" : 'X\(//\)$' \| \
1063 X"$_am_arg" : 'X\(/\)' \| . 2>/dev/null ||
1064echo X"$_am_arg" |
1065 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1066 s//\1/
1067 q
1068 }
1069 /^X\(\/\/\)[^/].*/{
1070 s//\1/
1071 q
1072 }
1073 /^X\(\/\/\)$/{
1074 s//\1/
1075 q
1076 }
1077 /^X\(\/\).*/{
1078 s//\1/
1079 q
1080 }
1081 s/.*/./; q'`/stamp-h$_am_stamp_count
1082 ;;
1083
1084 :C) { echo "$as_me:$LINENO: executing $ac_file commands" >&5
1085echo "$as_me: executing $ac_file commands" >&6;}
1086 ;;
1087 esac
1088
1089
1090 case $ac_file$ac_mode in
1091 "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1092 # Strip MF so we end up with the name of the file.
1093 mf=`echo "$mf" | sed -e 's/:.*$//'`
1094 # Check whether this is an Automake generated Makefile or not.
1095 # We used to match only the files named `Makefile.in', but
1096 # some people rename them; so instead we look at the file content.
1097 # Grep'ing the first line is not enough: some people post-process
1098 # each Makefile.in and add a new line on top of each file to say so.
1099 # Grep'ing the whole file is not good either: AIX grep has a line
1100 # limit of 2048, but all sed's we know have understand at least 4000.
1101 if sed -n 's,^#.*generated by automake.*,X,p' "$mf" | grep X >/dev/null 2>&1; then
1102 dirpart=`$as_dirname -- "$mf" ||
1103$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1104 X"$mf" : 'X\(//\)[^/]' \| \
1105 X"$mf" : 'X\(//\)$' \| \
1106 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
1107echo X"$mf" |
1108 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1109 s//\1/
1110 q
1111 }
1112 /^X\(\/\/\)[^/].*/{
1113 s//\1/
1114 q
1115 }
1116 /^X\(\/\/\)$/{
1117 s//\1/
1118 q
1119 }
1120 /^X\(\/\).*/{
1121 s//\1/
1122 q
1123 }
1124 s/.*/./; q'`
1125 else
1126 continue
1127 fi
1128 # Extract the definition of DEPDIR, am__include, and am__quote
1129 # from the Makefile without running `make'.
1130 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1131 test -z "$DEPDIR" && continue
1132 am__include=`sed -n 's/^am__include = //p' < "$mf"`
1133 test -z "am__include" && continue
1134 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1135 # When using ansi2knr, U may be empty or an underscore; expand it
1136 U=`sed -n 's/^U = //p' < "$mf"`
1137 # Find all dependency output files, they are included files with
1138 # $(DEPDIR) in their names. We invoke sed twice because it is the
1139 # simplest approach to changing $(DEPDIR) to its actual value in the
1140 # expansion.
1141 for file in `sed -n "
1142 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1143 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1144 # Make sure the directory exists.
1145 test -f "$dirpart/$file" && continue
1146 fdir=`$as_dirname -- "$file" ||
1147$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1148 X"$file" : 'X\(//\)[^/]' \| \
1149 X"$file" : 'X\(//\)$' \| \
1150 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1151echo X"$file" |
1152 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1153 s//\1/
1154 q
1155 }
1156 /^X\(\/\/\)[^/].*/{
1157 s//\1/
1158 q
1159 }
1160 /^X\(\/\/\)$/{
1161 s//\1/
1162 q
1163 }
1164 /^X\(\/\).*/{
1165 s//\1/
1166 q
1167 }
1168 s/.*/./; q'`
1169 { as_dir=$dirpart/$fdir
1170 case $as_dir in #(
1171 -*) as_dir=./$as_dir;;
1172 esac
1173 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1174 as_dirs=
1175 while :; do
1176 case $as_dir in #(
1177 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1178 *) as_qdir=$as_dir;;
1179 esac
1180 as_dirs="'$as_qdir' $as_dirs"
1181 as_dir=`$as_dirname -- "$as_dir" ||
1182$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1183 X"$as_dir" : 'X\(//\)[^/]' \| \
1184 X"$as_dir" : 'X\(//\)$' \| \
1185 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1186echo X"$as_dir" |
1187 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1188 s//\1/
1189 q
1190 }
1191 /^X\(\/\/\)[^/].*/{
1192 s//\1/
1193 q
1194 }
1195 /^X\(\/\/\)$/{
1196 s//\1/
1197 q
1198 }
1199 /^X\(\/\).*/{
1200 s//\1/
1201 q
1202 }
1203 s/.*/./; q'`
1204 test -d "$as_dir" && break
1205 done
1206 test -z "$as_dirs" || eval "mkdir $as_dirs"
1207 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
1208echo "$as_me: error: cannot create directory $as_dir" >&2;}
1209 { (exit 1); exit 1; }; }; }
1210 # echo "creating $dirpart/$file"
1211 echo '# dummy' > "$dirpart/$file"
1212 done
1213done
1214 ;;
1215
1216 esac
1217done # for ac_tag
1218
1219
1220{ (exit 0); exit 0; }
1221